LibreOffice: XDatabaseRegistrationsListener Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XDatabaseRegistrationsListener Interface Referencepublished

implemented by components which want to be notified of changes in the application-wide registered databases. More...

`import "XDatabaseRegistrationsListener.idl";`

Inheritance diagram for XDatabaseRegistrationsListener:

## Public Member Functions
void | registeredDatabaseLocation ([in] DatabaseRegistrationEvent Event)
| called when a database has been registered
void | revokedDatabaseLocation ([in] DatabaseRegistrationEvent Event)
| called when a database registration has been revoked
void | changedDatabaseLocation ([in] DatabaseRegistrationEvent Event)
| called when the location of a registered database changed
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

implemented by components which want to be notified of changes in the application-wide registered databases.

See also
  XDatabaseRegistrations

Since
  OOo 3.3

## Member Function Documentation

## ◆ changedDatabaseLocation()

void changedDatabaseLocation | ( | [in] DatabaseRegistrationEvent | Event | ) |

called when the location of a registered database changed

Note that this talks about registration data only. That is, if the actual file denoted by the database registration is moved, this is in no way monitored or reported. Only (successful) calls to XDatabaseRegistrations::changeDatabaseLocation() are reported here.

## ◆ registeredDatabaseLocation()

void registeredDatabaseLocation | ( | [in] DatabaseRegistrationEvent | Event | ) |

called when a database has been registered

## ◆ revokedDatabaseLocation()

void revokedDatabaseLocation | ( | [in] DatabaseRegistrationEvent | Event | ) |

called when a database registration has been revoked

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XDatabaseRegistrationsListener.idl